Hosting z PHP 4

Odpowiedz Nowy wątek
2019-12-28 20:50

Rejestracja: 7 miesięcy temu

Ostatnio: 7 miesięcy temu

0

Poszukuję hostingu dla dużego serwisu w części opartego na PHP 4. Docelowo wykonana zostanie migracja, ale ze względu na wielkość serwisu potrwa to trochę, wiec na start potrzebuje PHP 4. Możecie coś polecić?

Pozostało 580 znaków

2019-12-28 21:15

Rejestracja: 9 lat temu

Ostatnio: 3 godziny temu

Lokalizacja: Grudziądz/Bydgoszcz

3

tak, weź sobie vpsa i zainstaluj co potrzebujesz.


It's All About the Game.

Pozostało 580 znaków

2019-12-28 21:28

Rejestracja: 7 miesięcy temu

Ostatnio: 7 miesięcy temu

0

Dzięki, ale nie wszyscy pozwalają na PHP 4, bo stare. A ja jednak na jakieś 6-9 miesięcy potrzebuję tego. Dlatego pytam o konkretnych dostawców, którzy nie robią z tym problemu.

Pozostało 580 znaków

2019-12-28 21:33

Rejestracja: 9 lat temu

Ostatnio: 3 godziny temu

Lokalizacja: Grudziądz/Bydgoszcz

2

A czy ty wiesz czym jest vps? Bo mam wrażenie, że nie inczej byś nie pisał, że ktoś ci czegoś zabroni. vps - virtual private server - dostajesz gołego linuxa i dalej instalujesz co chcesz.


It's All About the Game.
Duzy serwis oparty na php4.... bezpieczenstwo, wydajnosc... taka sytuacja - axelbest 2019-12-28 21:35
@axelbest: zostawmy to już bez komentarza - mr_jaro 2019-12-28 21:37
Zdziwilibyście się ile rzeczy jeszcze działa na PHP 4 bo nikomu nie opłaca się przepisywać. Kiedyś (co prawda było to już 3-4 lata temu) rozmawiałem z kolegą, który załapał się do jednego z większych portali w Polsce i mieli tam wtedy sporo legacy. Pewnie już teraz z PHP 4 wyszli, ale na bank nadal tam jest sporo w PHP 5. - hadwao 2020-07-05 19:48
@hadwao: Dobra, niech oberwę złotą łopatą za wątek z grudnia. Stary kod to pół biedy jeśli jest w miarę ładnie napisany i nie musisz do niego zaglądać. - PerlMonk 2020-07-05 19:56
@PerlMonk: o nawet nie zauważyłem, ale to nie ja wykopałem tylko kolega z posta niżej ;p Co do grzebania w PHP 4 to chyba jakbym miał coś poprawiać to bym przepisał na nowo ;-) - hadwao 2020-07-05 19:59
@hadwao: Ja wiem, sam wszedłem z przez ramkę z aktywnością :D . Z reguły staram się przejrzeć cały wątek, złapać kontekst i dopiero odpisywać. - PerlMonk 2020-07-05 20:11

Pozostało 580 znaków

2020-07-05 02:55

Rejestracja: 1 miesiąc temu

Ostatnio: 1 miesiąc temu

0

Ja sobie skompilowałem w fcgi wszystkie wersje php na najnowszym apachu 2.4.41 w ubuntu 20.04. Stare skrypty (php4.4.9) po prostu wymiatają z postgresql np oprogramowanie klinik weterynaryjnych. Do kompilacji ustawiałem flagi optymalizujące konkretny procesor. Serwer jest na atmanie, bardzo szybki, zapraszam. jest też certbot z autoodświeżaniem certyfikatów ssl.

And złota łopata goes to @Marek Wesołowski - PerlMonk 2020-07-05 20:12

Pozostało 580 znaków

Odpowiedz

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0